---
title: "Simple Detector"
---

## Setup 

```bash
git clone https://eicweb.phy.anl.gov/EIC/tutorials/tutorial_part1.git
cd tutorial_part1
```

You will find the following files and directories.
```shell
.
├── elements.xml
├── gem_tracker.xml
├── gps.mac
├── materials.xml
├── README.md
├── rootlogon.C
├── run_example
└── scripts
    ├── example_Acts.cxx
    ├── example_cell_size.cxx
    ├── example_digi.cxx
    ├── example_hit_recon.cxx
    ├── example_seg_size.cxx
    ├── example_tracking.cxx
    └── mag_field.cxx
```

The files 
[`materials.xml`](https://eicweb.phy.anl.gov/EIC/tutorials/tutorial_part1/blob/master/materials.xml), 
[`elements.xml`](https://eicweb.phy.anl.gov/EIC/tutorials/tutorial_part1/blob/master/elements.xml),
and 
[`gem_tracker.xml`](https://eicweb.phy.anl.gov/EIC/tutorials/tutorial_part1/blob/master/gem_tracker.xml) 
are the compact detector description files. The first two files are included in 
the main `gem_tracker.xml` file. Note these files are conventionally found in 
directories named compact.




## Run the geant4 simulation

```bash
ddsim  --runType run  --enableG4GPS \
   --macroFile gps.mac \
   --compactFile ./gem_tracker.xml \
   --outputFile gem_tracker_sim.root 
```


This will run geant4 using the General Particle Source (GPS) tool.
The output will be a root file containing the generated events and GEM tracker hits.

See the [GPS Documentation](http://www.fe.infn.it/u/paterno/Geant4_tutorial/slides_further/GPS/GPS.pdf) for more information.


## Digitization 

```bash
root -b -q example_digi.cxx+
```
![digi histogram](../example_digi.png)

## Channel/Cell Size

```bash
root -b -q example_cell_size.cxx+
    
```
![cell size histogram](../example_cell_size.png)


